Subject: Re: [PATCH 1/2] sky2: EEPROM read/write bug fixes

From: Ben Hutchings <[email-masked]>
Date: Thu, 28 Aug 2008 12:13:25 +0100

Stephen Hemminger wrote:
> Cleanup and harden the routines accessing the EEPROM.
>   1. Prevent spin forever waiting for the TWSI bus
>   2. Fix write eeprom to write full words rather than only 16 bits 
>     Luckly the vendor doesn't provide EEPROM in Linux format so it must never
>     have been used.
>   3. Don't allow partial eeprom writes, not needed, not safe.
[...]

You should be able to replace the VPD access code with calls through
pci_dev->vpd->ops - though you'd need to remove some declarations from
drivers/pci/pci.h to include/linux/pci.h.

Ben.

-- 
Ben Hutchings, Senior Software Engineer, Solarflare Communications
Not speaking for my employer; that's the marketing department's job.
They asked us to note that Solarflare product names are trademarked.